clang-tools 8.0.0

Typedefs | Functions
ClangdXPCTestClient.cpp File Reference
`#include "xpc/Conversion.h"`
`#include "clang/Basic/LLVM.h"`
`#include "llvm/ADT/SmallString.h"`
`#include "llvm/Support/LineIterator.h"`
`#include "llvm/Support/MemoryBuffer.h"`
`#include "llvm/Support/Path.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <dlfcn.h>`
`#include <stdio.h>`
`#include <string>`
`#include <xpc/xpc.h>`
Include dependency graph for ClangdXPCTestClient.cpp:

Go to the source code of this file.

## Typedefs
typedef const char *(* | clangd_xpc_get_bundle_identifier_t) (void)

## Functions
std::string | getLibraryPath ()
static void | dumpXPCObject (xpc_object_t Object, llvm::raw_ostream &OS)
int | main (int argc, char *argv[])

## Typedef Documentation

## ◆ clangd_xpc_get_bundle_identifier_t

typedef const char*(* clangd_xpc_get_bundle_identifier_t) (void)

Definition at line 13 of file ClangdXPCTestClient.cpp.

## Function Documentation

## ◆ dumpXPCObject()

static void dumpXPCObject | ( | xpc_object_t | Object,
|  | llvm::raw_ostream & | OS
| ) |  |
| static

Definition at line 30 of file ClangdXPCTestClient.cpp.

References clang::clangd::xpcToJson().

Referenced by main().

## ◆ getLibraryPath()

std::string getLibraryPath | ( |  | ) |

Definition at line 18 of file ClangdXPCTestClient.cpp.

Referenced by main().

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 40 of file ClangdXPCTestClient.cpp.

References clangd_xpc_get_bundle_identifier(), dumpXPCObject(), getLibraryPath(), clang::clangd::jsonToXpc(), Line, and clang::tidy::cppcoreguidelines::toString().